#ifndef PCF8574_EXPANDER_H
#define PCF8574_EXPANDER_H
//------------------------------------------------------------------------------
#include "I2C.h"
//------------------------------------------------------------------------------
void Expander_write(char data);
char address;                  
//------------------------------------------------------------------------------
void Expander_init(char addr)
{
  address = addr;
  Expander_write(0);
}
//------------------------------------------------------------------------------
void Expander_write(char data)
{
  I2C_start();
  
  I2C_write(address);
  I2C_write(data);
  
  I2C_stop();
}
//------------------------------------------------------------------------------
#endif